angular.module('focaOrdenCarga')
    .factory('focaOrdenCargaService', ['$http', 'API_ENDPOINT', function ($http, API_ENDPOINT) {
        return {
            getVehiculos: function () {
                return $http.get(API_ENDPOINT.URL + '/vehiculo');
            },
            getTransportistas: function () {
                return $http.get(API_ENDPOINT.URL + '/transportista');
            },
            getCisternadoPorVehiculo: function (idVehiculo) {
                return $http.get(API_ENDPOINT.URL + '/cisterna/listar/' + idVehiculo);
            },
            getCisterna: function (id) {
                return $http.get(API_ENDPOINT.URL + '/cisterna/obtener/' + id);
            },
            guardarCisterna: function (cisterna) {
                return $http.post(API_ENDPOINT.URL + '/cisterna/guardar', { cisterna: cisterna });
            },
            deleteCisterna: function (id) {
                return $http.delete(API_ENDPOINT.URL + '/cisterna/borrar/' + id);
            },
            getVehiculosPorTransportista: function (id) {
                return $http.get(API_ENDPOINT.URL + '/vehiculo/transportista/' + id);
            },
            getEstadoCisterna: function (id, fecha) {
                console.log(id, "   ", fecha);
                return $http.post(API_ENDPOINT.URL + '/cisterna/stock',
                    { idCisterna: id, fecha: fecha });
            },
            getHojasRuta: function (idVehiculo) {
                return $http.get(API_ENDPOINT.URL + '/orden-carga/hoja-ruta/' + idVehiculo);
            },
            getBotonera: function () {
                var result = [
                    {
                        label: 'Vehiculo',
                        image: 'vehiculo_secundario.png'
                    },
                    {
                        label: 'Fecha de Reparto',
                        image: 'fechaDeEntrega.png'
                    },
                    {
                        label: 'Hojas de Ruta',
                        image: 'hojaDeRuta.png'
                    },
                    {
                        label: 'Remito Abierto',
                        image: 'remito_abierto.png'
                    },
                    {
                        label: 'Chofer',
                        image: 'chofer_secundario.png'
                    },
                    {
                        label: 'Graficar',
                        image: 'graficar.png'
                    }
                ];
                return result;
            },

        };
    }]);
